BORG-WITH-LOCK(1)

NAME
borg-with-lock - run a user specified command with the repository lock held

SYNOPSIS

borg [common options] with-lock [options] COMMAND [ARGS...]

DESCRIPTION

This command runs a user-specified command while the repository lock is held.

It will first try to acquire the lock (make sure that no other operation is running in the repo), then execute the given command as a subprocess and wait for its termination, release the lock and return the user command's return code as borg's return code.

NOTE: If you copy a repository with the lock held, the lock will be present in the copy. Thus, before using borg on the copy from a different host, you need to use "borg break-lock" on the copied repository, because Borg is cautious and does not automatically remove stale locks made by a different host.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

COMMAND
    command to run

ARGS
    command arguments

SEE ALSO

borg-common(1)

AUTHOR
The Borg Collective